From: Jean-Christophe PLAGNIOL-VILLARD <plagnioj@jcrosoft.com>
To: barebox@lists.infradead.org
Subject: [PATCH 1/4] defaultenv: add support for custom board boot
Date: Sat, 7 Apr 2012 05:14:58 +0200 [thread overview]
Message-ID: <1333768501-25204-1-git-send-email-plagnioj@jcrosoft.com> (raw)
In-Reply-To: <20120407031228.GF16306@game.jcrosoft.org>
This will allow a board to have a custom boot choice with a boot menu as
example.
Signed-off-by: Jean-Christophe PLAGNIOL-VILLARD <plagnioj@jcrosoft.com>
---
defaultenv/bin/init | 18 +++++++++++-------
1 files changed, 11 insertions(+), 7 deletions(-)
diff --git a/defaultenv/bin/init b/defaultenv/bin/init
index b371c42..7452bb6 100644
--- a/defaultenv/bin/init
+++ b/defaultenv/bin/init
@@ -24,11 +24,15 @@ if [ -f /env/bin/init_board ]; then
. /env/bin/init_board
fi
-echo
-echo -n "Hit any key to stop autoboot: "
-timeout -a $autoboot_timeout
-if [ $? != 0 ]; then
- exit
+if [ -f /env/bin/boot_board ]; then
+ . /env/bin/boot_board
+else
+ echo
+ echo -n "Hit any key to stop autoboot: "
+ timeout -a $autoboot_timeout
+ if [ $? != 0 ]; then
+ exit
+ fi
+
+ boot
fi
-
-boot
--
1.7.9.1
_______________________________________________
barebox mailing list
barebox@lists.infradead.org
http://lists.infradead.org/mailman/listinfo/barebox
next prev parent reply other threads:[~2012-04-07 3:31 UTC|newest]
Thread overview: 5+ messages / expand[flat|nested] mbox.gz Atom feed top
2012-04-07 3:12 [PATCH 0/4] at91 boot menu support Jean-Christophe PLAGNIOL-VILLARD
2012-04-07 3:14 ` Jean-Christophe PLAGNIOL-VILLARD [this message]
2012-04-07 3:14 ` [PATCH 2/4] at91sam9m10g45ek: add gpio keys support Jean-Christophe PLAGNIOL-VILLARD
2012-04-07 3:15 ` [PATCH 3/4] at91sam9m10g45ek: enable kernel console over framebuffer Jean-Christophe PLAGNIOL-VILLARD
2012-04-07 3:15 ` [PATCH 4/4] at91sam9m10g45ek: add boot menu support Jean-Christophe PLAGNIOL-VILLARD
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1333768501-25204-1-git-send-email-plagnioj@jcrosoft.com \
--to=plagnioj@jcrosoft.com \
--cc=barebox@lists.infradead.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox